org.apache.ignite.spi

## Enum IgnitePortProtocol

- java.lang.Object
- - java.lang.Enum<IgnitePortProtocol>
  - - org.apache.ignite.spi.IgnitePortProtocol

- All Implemented Interfaces:
    Serializable, Comparable<IgnitePortProtocol>

      public enum IgnitePortProtocol
      extends Enum<IgnitePortProtocol>

  Protocols supported by port processor.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TCP` TCP protocol.
    `UDP` UDP protocol.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static @Nullable IgnitePortProtocol` | `fromOrdinal(byte ord)` Efficiently gets enumerated value from its ordinal.
    `static IgnitePortProtocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IgnitePortProtocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TCP

          public static final IgnitePortProtocol TCP

      TCP protocol.

    - #### UDP

          public static final IgnitePortProtocol UDP

      UDP protocol.

  - ### Method Detail

    - #### values

          public static IgnitePortProtocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IgnitePortProtocol c : IgnitePortProtocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IgnitePortProtocol valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable IgnitePortProtocol fromOrdinal(byte ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023